<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompaniesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('companies', function (Blueprint $table) {
            $table->id();
            $table->string('taxpayer')->nullable();
            $table->string('mobile')->nullable();
            $table->date('date_of_incorporation')->nullable();
            $table->string('tax_registration_number')->nullable();
            $table->integer('legal_status')->nullable();
            $table->integer('tax_group')->nullable();
            $table->integer('type_of_company')->nullable();
            $table->integer('residential_status')->nullable();
            $table->unsignedBigInteger('address_id')->nullable();
            $table->foreign('address_id')->references('id')->on('addresses');
            $table->unsignedBigInteger('country_id')->nullable();
            $table->foreign('country_id')->references('id')->on('countries');
            $table->unsignedBigInteger('company_group_id')->nullable();
            $table->foreign('company_group_id')->references('id')->on('company_group');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('companies');
    }
}
