<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrialBalanceItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trial_balance_items', function (Blueprint $table) {
            $table->id();
            $table->string('section_name')->nullable();
            $table->string('debit_value')->nullable();
            $table->string('credit_value')->nullable();
    
            $table->unsignedBigInteger('trail_balance_id');
            $table->foreign('trail_balance_id')->references('id')->on('trial_balance');

            $table->timestamps();

            $table->softDeletes();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trial_balance_items');
    }
}
