<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBalanceSheetItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('balance_sheet_items', function (Blueprint $table) {
            $table->id();
            $table->integer('order');
            $table->enum('type', ['credit', 'debit']);
            //trail_balance_item_id
            $table->unsignedBigInteger('trail_balance_id');
            $table->foreign('trail_balance_id')->references('id')->on('trial_balance');

            $table->unsignedBigInteger('balance_sheet_id');
            $table->foreign('balance_sheet_id')->references('id')->on('balance_sheet');
            
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('balance_sheet_items');
    }
}
