<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProfitAndLossItemTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('profit_and_loss_item', function (Blueprint $table) {
            $table->id();
            $table->integer('order');
            $table->enum('type', ['credit', 'debit']);

            $table->unsignedBigInteger('trail_balance_item_id');
            $table->foreign('trail_balance_item_id')->references('id')->on('trial_balance_items');

            $table->unsignedBigInteger('balance_sheet_id');
            $table->foreign('balance_sheet_id')->references('id')->on('balance_sheet');


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('profit_and_loss_item');
    }
}
