<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTrialBalanceBsPlMappingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('trial_balance_bs_pl_mapping', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('trial_balance_id');
            $table->foreign('trial_balance_id')->references('id')->on('trial_balance_key');        
            $table->enum('template_type',['bs','pl']);
            $table->Integer('company_id')->nullable();  
            $table->enum('entry_type', ['credit', 'debit', 'double'])
                ->collation('utf8mb4_unicode_ci')
                ->nullable()
                ->default(null);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('trial_balance_bs_pl_mapping');
    }
}
