<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateExcelConfigLineItemTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('excel_config_line_item', function (Blueprint $table) {
            $table->id();
            $table->string('current_line_item_position')->nullable();
            $table->string('credit_value_position')->nullable();
            $table->string('debit_value_position')->nullable();
            $table->enum('type_of',['income', 'expense', 'profit', 'loss', 'others'])->nullable();
            $table->unsignedBigInteger('excel_config_id');
            $table->foreign('excel_config_id')->references('id')->on('excel_configration');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('excel_config_line_item');
    }
}
