<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateZohoConfig extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('zoho_config', function (Blueprint $table) {
            $table->id();
            $table->integer('client_id');
            $table->string('organization_id');
            $table->text('secret_key');
            $table->integer('company_id');
            $table->date('updated_at')->default(\DB::raw('CURRENT_TIMESTAMP'));
            $table->date('deleted_at')->default(\DB::raw('CURRENT_TIMESTAMP'));
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('zoho_config');
    }
}
