<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateZohoRawDatas extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('zoho_raw_datas', function (Blueprint $table) {
            $table->id();
            $table->text('head_name');
            $table->string('type');
            $table->string('category')->nullable();
            $table->longText('data')->charset('utf8mb4')->collation('utf8mb4_bin');
            $table->integer('report_id');
            $table->integer('company_id');
            $table->date('updated_at')->default(\DB::raw('CURRENT_TIMESTAMP'));
            $table->date('deleted_at')->default(\DB::raw('CURRENT_TIMESTAMP'));
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('zoho_raw_datas');
    }
}
